Subject: Re: bug#53890: 29.0.50; feature request: cursor color as a foreground color

From: Po Lu <[email-masked]>
Date: Wed, 09 Feb 2022 15:03:45 +0800

Po Lu <[email-masked]> writes:

> Jose A Ortega Ruiz <[email-masked]> writes:
>
>> Hi,
>>
>> right now, when using alpha-background, the cursor is set to the opacity
>> of the background (i think that is because, as documented, only the
>> :background attribute of the face is used). that means that, if one sets
>> 'alpha-background to 0 to make the background transparent, the cursor
>> becomes invisible when not over a character (and really difficult to
>> spot even when over one), no matter its colour (i've tried with pgtk and
>> no-toolkit builds).
>>
>> Am i missing an existing setting to avoid that problem, or perhaps doing
>> something wrong? if not, it'd be nice to have the option of making the
>> cursor behave as foreground (perhaps by honouring :foreground in its
>> face, if set), so that one could have a fully transparent background and
>> a cursor visible at all times.
>
> It doesn't make much sense for `alpha-background' to affect the cursor
> for the reasons you have mentioned.
>
> Please try a build '--without-cairo' (and also without PGTK) and see if
> that solves the problem.

Or alternatively just try master.  I fixed it there for the regular
cairo build.